Package ru.bitel.bgbilling.modules.mps.server.bean

# Class Conf.MPSSystem

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.Conf.MPSSystem

Enclosing class:
  Conf

    public class Conf.MPSSystem
    extends java.lang.Object

конкретный настроенный пртокол под каким-то конкретным mpsId

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `int` | `accountServiceId` |
  `long[]` | `allowContractGroups` |
  `java.util.regex.Pattern[]` | `allowContractPattern` |
  `boolean` | `certificateNeed` |
  `int` | `cid` |
  `java.lang.String` | `comment` |
  `ParameterMap` | `config` | конфиг отдельной системы, может использоваться протоколами для доп.параметров
  `boolean` | `extAddBalanceInfo` |
  `boolean` | `extDenyForJur` | Флаг запрета проведения платежей для юридических лиц.
  `boolean` | `extDontCheckSum` |
  `boolean` | `extDontCheckTransId` |
  `boolean` | `extEportPayTime` |
  `boolean` | `extNeedClientInfo` |
  `boolean` | `extNoBaseAuth` |
  `boolean` | `extOSMPFields` |
  `boolean` | `extOSMPSubBalance` |
  `boolean` | `extPaymentSystemTime` |
  `boolean` | `extPayOnCheck` |
  `boolean` | `extSfourComment` |
  `java.lang.String` | `login` |
  `java.math.BigDecimal` | `maxSumm` |
  `java.math.BigDecimal` | `minSumm` |
  `boolean` | `mode` |
  `boolean` | `multiSearch` |
  `java.util.regex.Pattern` | `numberPattern` |
  `java.lang.String` | `osmpContractPattern` |
  `boolean` | `osmpPrefix` |
  `java.lang.String` | `password` |
  `int` | `paymentType` |
  `int` | `payTime` |
  `java.lang.String` | `privateKeyAlias` | Алиас для PrivateKey (для некоторых ПС требуется), если задан отдельно для ПС.
  `Conf.Protocol` | `protocol` |
  `java.security.PublicKey` | `publicKey` |
  `boolean` | `registerCheckAccount` |
  `java.util.regex.Pattern` | `registerPattern` |
  `java.util.Map<java.lang.String,​java.lang.Integer>` | `registerPatternOrder` |
  `java.lang.String` | `registerTimeFormat` |
  `java.lang.String` | `requestEncoding` |
  `ParameterMap` | `responseAttributes` |
  `java.lang.String` | `responseEncoding` |
  `java.lang.String[]` | `searchTypeCustom` |
  `int[]` | `searchTypeMids` |
  `java.util.regex.Pattern[]` | `searchTypePattern` |
  `int[]` | `searchTypePids` |
  `java.lang.String[]` | `searchTypeReplace` |
  `Conf.SearchType[]` | `searchTypes` |
  `java.lang.String` | `secret` |
  `java.lang.String` | `secretResponse` |
  `boolean` | `storeOriginalSum` |
  `boolean` | `testMode` |
  `int` | `timeOffset` |
  `java.lang.String` | `title` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MPSSystem​(Conf.SearchType[] searchTypes, int[] searchTypeMids, int[] searchTypePids, java.util.regex.Pattern[] searchTypePattern, java.lang.String[] searchTypeReplace, java.lang.String[] searchTypeCustom, boolean mode, java.lang.String mpsId, ParameterMap setup, java.lang.String protocol, java.util.regex.Pattern[] allowContractPattern, long[] allowContractGroups, int cid, int accountServiceId, boolean[] allowClosedPayment)` |
  `MPSSystem​(ParameterMap setup, java.lang.String mpsId, Conf.Protocol protocol)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.security.PrivateKey` | `getPrivateKey()` | Приватный ключ, исторически был на весь mps один, и брался первый из keystore (для большинства кейсов достаточно), сейчас так же делается, если требуется конкретный для протокола, то в протоколе есть настройка ...privatekey.alias=blabla, если она задана то берётся специфический по алиасу.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### testMode

    public final boolean testMode

  - ### searchTypes

    public final Conf.SearchType[] searchTypes

  - ### multiSearch

    public final boolean multiSearch

  - ### searchTypeMids

    public final int[] searchTypeMids

  - ### searchTypePids

    public final int[] searchTypePids

  - ### searchTypePattern

    public final java.util.regex.Pattern[] searchTypePattern

  - ### searchTypeReplace

    public final java.lang.String[] searchTypeReplace

  - ### searchTypeCustom

    public final java.lang.String[] searchTypeCustom

  - ### allowContractPattern

    public final java.util.regex.Pattern[] allowContractPattern

  - ### allowContractGroups

    public final long[] allowContractGroups

  - ### mode

    public final boolean mode

  - ### paymentType

    public int paymentType

  - ### login

    public final java.lang.String login

  - ### password

    public final java.lang.String password

  - ### protocol

    public final Conf.Protocol protocol

  - ### requestEncoding

    public final java.lang.String requestEncoding

  - ### responseEncoding

    public final java.lang.String responseEncoding

  - ### certificateNeed

    public final boolean certificateNeed

  - ### publicKey

    public final java.security.PublicKey publicKey

  - ### payTime

    public final int payTime

  - ### timeOffset

    public final int timeOffset

  - ### title

    public final java.lang.String title

  - ### secret

    public final java.lang.String secret

  - ### secretResponse

    public final java.lang.String secretResponse

  - ### minSumm

    public final java.math.BigDecimal minSumm

  - ### maxSumm

    public final java.math.BigDecimal maxSumm

  - ### osmpPrefix

    public final boolean osmpPrefix

  - ### extPayOnCheck

    public final boolean extPayOnCheck

  - ### extNoBaseAuth

    public final boolean extNoBaseAuth

  - ### extAddBalanceInfo

    public final boolean extAddBalanceInfo

  - ### extOSMPSubBalance

    public final boolean extOSMPSubBalance

  - ### osmpContractPattern

    public final java.lang.String osmpContractPattern

  - ### extOSMPFields

    public final boolean extOSMPFields

  - ### extEportPayTime

    public final boolean extEportPayTime

  - ### extDontCheckTransId

    public final boolean extDontCheckTransId

  - ### extPaymentSystemTime

    public final boolean extPaymentSystemTime

  - ### extDontCheckSum

    public final boolean extDontCheckSum

  - ### extSfourComment

    public final boolean extSfourComment

  - ### extNeedClientInfo

    public final boolean extNeedClientInfo

  - ### registerPattern

    public final java.util.regex.Pattern registerPattern

  - ### registerPatternOrder

    public final java.util.Map<java.lang.String,​java.lang.Integer> registerPatternOrder

  - ### registerTimeFormat

    public final java.lang.String registerTimeFormat

  - ### registerCheckAccount

    public final boolean registerCheckAccount

  - ### numberPattern

    public final java.util.regex.Pattern numberPattern

  - ### cid

    public final int cid

  - ### accountServiceId

    public final int accountServiceId

  - ### responseAttributes

    public final ParameterMap responseAttributes

  - ### comment

    public final java.lang.String comment

  - ### config

    public final ParameterMap config
    конфиг отдельной системы, может использоваться протоколами для доп.параметров

  - ### storeOriginalSum

    public final boolean storeOriginalSum

  - ### extDenyForJur

    public final boolean extDenyForJur
    Флаг запрета проведения платежей для юридических лиц.

  - ### privateKeyAlias

    public final java.lang.String privateKeyAlias
    Алиас для PrivateKey (для некоторых ПС требуется), если задан отдельно для ПС. Если не задан, но протоколом будет попытка использования PrivateKey, то возьмётся как раньше "первый из keystore".

- ## Constructor Details

  - ### MPSSystem

    public MPSSystem​(ParameterMap setup, java.lang.String mpsId, Conf.Protocol protocol)

  - ### MPSSystem

    public MPSSystem​(Conf.SearchType[] searchTypes, int[] searchTypeMids, int[] searchTypePids, java.util.regex.Pattern[] searchTypePattern, java.lang.String[] searchTypeReplace, java.lang.String[] searchTypeCustom, boolean mode, java.lang.String mpsId, ParameterMap setup, java.lang.String protocol, java.util.regex.Pattern[] allowContractPattern, long[] allowContractGroups, int cid, int accountServiceId, boolean[] allowClosedPayment) throws java.security.NoSuchAlgorithmException, java.security.spec.InvalidKeySpecException, java.io.IOException
    Throws:
      `java.security.NoSuchAlgorithmException`
      `java.security.spec.InvalidKeySpecException`
      `java.io.IOException`

- ## Method Details

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getPrivateKey

    public java.security.PrivateKey getPrivateKey()
    Приватный ключ, исторически был на весь mps один, и брался первый из keystore (для большинства кейсов достаточно), сейчас так же делается, если требуется конкретный для протокола, то в протоколе есть настройка ...privatekey.alias=blabla, если она задана то берётся специфический по алиасу.